package jp.agentec.abook.abv.bl.dto;

public class AcmsDto extends AbstractDto {
	public String urlPath;
	public String acmsAddress;
	public String downloadServerAddress;
	public String websocketServerHttpUrl;
	public String websocketServerWsUrl;
	public String contentVersionLastFetchDate; // 保存のみ、内部で比較しない
	public String scheduleListLastFetchDate; // 保存のみ、内部で比較しない
	
	public AcmsDto() {
	}

	public AcmsDto(String urlPath, String acmsAddress, String downloadServerAddress, String websocketServerHttpUrl, String websocketServerWsUrl) {
		this.urlPath = urlPath;
		this.acmsAddress = acmsAddress;
		this.downloadServerAddress = downloadServerAddress;
		this.websocketServerHttpUrl = websocketServerHttpUrl;
		this.websocketServerWsUrl = websocketServerWsUrl;
		this.contentVersionLastFetchDate = "";
		this.scheduleListLastFetchDate = "";
	}

	@Override
	public String[] getKeyValues() {
		return null;
	}

	@Override
	public Object[] getInsertValues() {
		return new Object[]{urlPath, acmsAddress, downloadServerAddress, websocketServerHttpUrl, websocketServerWsUrl, contentVersionLastFetchDate, scheduleListLastFetchDate};
	}

}
